/*
 * dbms_output.sql
 * Chapter 1, Expert PL/SQL Programming
 * by Ron Hardman, Mike McLaughlin
 *
 * This script demonstrates a 10gR2 new feature - restriction on dbms_output.put_line
 * lifted.
 */

SET SERVEROUTPUT ON
BEGIN
   DBMS_OUTPUT.PUT(CHR(10));
   DBMS_OUTPUT.PUT_LINE('PRINT ME');
   DBMS_OUTPUT.PUT(CHR(10));
END;
/

DECLARE
   v_string VARCHAR2(500 CHAR);
BEGIN
   DBMS_OUTPUT.PUT(CHR(10));
   DBMS_OUTPUT.PUT_LINE('===========================================================================');
   DBMS_OUTPUT.PUT_LINE('Successful in 10g Release 2 -- fails on earlier releases');
   DBMS_OUTPUT.PUT(CHR(10));
   v_string := 'Five years of programming.  This is the time it '
                   ||'takes for most programmers to feel as if they''ve '
                   ||'come of age as a professional.  Traditional '
                   ||'programming concepts are second nature, like '
                   ||'driving a car or typing on a keyboard.  Employers '
                   ||'recognize this, often ...';
   DBMS_OUTPUT.PUT_LINE(v_string);
   DBMS_OUTPUT.PUT_LINE('===========================================================================');
END;
/



DECLARE
   v_string VARCHAR2(500 CHAR);
BEGIN
   DBMS_OUTPUT.PUT(CHR(10));
   DBMS_OUTPUT.PUT_LINE('===========================================================================');
   DBMS_OUTPUT.PUT_LINE('Works on all releases -- it uses SUBSTR');
   DBMS_OUTPUT.PUT(CHR(10));
   v_string := 'Five years of programming.  This is the time it '
                   ||'takes for most programmers to feel as if they''ve '
                   ||'come of age as a professional.  Traditional '
                   ||'programming concepts are second nature, like '
                   ||'driving a car or typing on a keyboard.  Employers '
                   ||'recognize this, often ...';
   DBMS_OUTPUT.PUT_LINE(SUBSTR(v_string, 1, 255));
   DBMS_OUTPUT.PUT_LINE(SUBSTR(v_string, 256, 255));
   DBMS_OUTPUT.PUT_LINE('===========================================================================');
END;
/
