/*
 * HelloWorld2.java
 * Chapter 5, Oracle Expert PL/SQL Programming
 * by Ron Hardman and Michael McLaughlin
 *
 * This script builds an internal or server-side Java class file.
 */


// Oracle class imports.
import oracle.jdbc.driver.*;

// Class definition.
public class HelloWorld2
{
  // --------------------------------------------/

  // The hello method.
  public static String hello()
  {
    // Return default message string.
    return "Hello World.";

  } // End of hello() method.

  // --------------------------------------------/

  // The hello method.
  public static String hello(String name)
  {
    // Return message string with variable contents.
    return "Hello " + name + ".";

  } // End of hello() method.

  // --------------------------------------------/

  // Static main to test instance outside of Oracle.
  public static void main(String args[])
  {
    // Print the return message to console.
    System.out.println(HelloWorld2.hello());

    // Print the return message to console.
    System.out.println(HelloWorld2.hello("Larry"));

  } // End of static main.

  // --------------------------------------------/

} // End of HelloWorld2 class.
