/*
 * unistr.sql
 * Chapter 9, Expert PL/SQL Programming
 * by Ron Hardman, Mike McLaughlin
 *
 * This script renders glyphs from codepoints
 */

CLEAR BREAKS
CLEAR COLUMNS
CLEAR COMPUTES

TTITLE OFF

spool unistr.log

SET ECHO ON
SET FEEDBACK ON
SET NULL '<Null>'
SET PAGESIZE 999
SET PAUSE OFF
SET TERM ON
SET TIME OFF
SET TIMING OFF
SET VERIFY OFF

SELECT UNISTR('\0045\0078\0070\0065\0072\0074')
       ||' '||
       UNISTR('\0050\004C\002F\0053\0051\004C')
FROM dual;

SELECT UNISTR('\0045\0078\0070\0065\0072\0074 \0050\004C\002F\0053\0051\004C')
FROM dual;

spool off