 /*
 * dbms_datapump_import.sql
 * Chapter 12, Expert PL/SQL Programming
 * by Ron Hardman and Michael McLaughlin
 *
 * This script demonstrates how to use the DBMS_DATAPUMP package
 *  to import a table.
 */

CLEAR BREAKS
CLEAR COLUMNS
CLEAR COMPUTES

TTITLE OFF


SET ECHO OFF
SET FEEDBACK ON
SET NULL '<Null>'
SET PAGESIZE 999
SET PAUSE OFF
SET TERM ON
SET TIME OFF
SET TIMING OFF
SET VERIFY OFF
SET SERVEROUTPUT ON


SPOOL dbms_datapump_import.log

SET SERVEROUTPUT ON

ACCEPT job2 PROMPT 'Enter a unique name for the job: '

BEGIN
   import_tables('&job2', 'plsql_table_export.dmp');
END;
/

PROMPT
PROMPT How many records after import?
PROMPT
SELECT COUNT(*) FROM TEST_DATAPUMP;

SPOOL OFF