/*
 * jaro_winkler.sql
 * Chapter 1, Expert PL/SQL Programming
 * by Ron Hardman, Mike McLaughlin
 *
 * This script demonstrates a 10gR2 new feature - UTL_MATCH
 */


SPOOL jaro_winkler.log

PROMPT 
PROMPT * * * 
PROMPT * * * Tests THE JARO_WINKLER FUNCTION
PROMPT * * *
PROMPT
SELECT UTL_MATCH.JARO_WINKLER(
                              'expresso', 'espresso') AS AGREEMENT
FROM dual;


PROMPT 
PROMPT * * * 
PROMPT * * * Tests THE JARO_WINKLER_SIMILARITY FUNCTION
PROMPT * * *
PROMPT
SELECT UTL_MATCH.JARO_WINKLER_SIMILARITY(
                                         'expresso', 'espresso') AS AGREEMENT
FROM dual;

spool off