/*
 * demo_client_info2.sql
 * Chapter 4, Oracle Expert PL/SQL Programming
 * by Ron Hardman and Michael McLaughlin
 *
 * This script tests a view that enables you to use
 * DBMS_APPLICATION_INFO and USERENV() in building a
 * publish-and-subscribe implementation. It should be
 * run in the MYAPP user schema.

 */

-- Unremark for debugging script.
-- SET ECHO ON
SET SERVEROUTPUT ON SIZE 1000000

-- Select the default value from V$SESSION.CLIENT_INFO.
SELECT   USERENV('CLIENT_INFO')
FROM     dual;

-- Execute the DBMS_APPLICATION_INFO package.
EXECUTE DBMS_APPLICATION_INFO.SET_CLIENT_INFO('1');

-- Select the default value from V$SESSION.CLIENT_INFO.
SELECT   USERENV('CLIENT_INFO')
FROM     dual;
