/*
 * test_definer1.sql
 * Chapter 4, Oracle Expert PL/SQL Programming
 * by Ron Hardman and Michael McLaughlin
 *
 * This script tests a definer's-rights package as the MYAPP user.
 */

-- Unremark for debugging script.
-- SET ECHO ON
SET SERVEROUTPUT ON SIZE 1000000

-- Anonymous block program to test definer_rights package.
BEGIN

  -- Call the function that inserts the user name.
  IF plsql.definer_rights.set_data(USER) THEN

    -- Use an implicit for-loop to avoid declaring variables.
    FOR i IN (SELECT   plsql.definer_rights.get_data(user) data
              FROM     dual ) loop

      -- Print the value returned.
      DBMS_OUTPUT.PUT_LINE(i.data);

    END LOOP;
  END IF;
END;
/
