/*
 * cleanup.sql
 * Chapter 6, Oracle Expert PL/SQL
 * by Ron Hardman and Michael McLaughlin
 *
 * This script builds the data tables for Chapter 6 and seeds
 * them with data.
 */

CLEAR BREAKS
CLEAR COLUMNS
CLEAR COMPUTES

TTITLE OFF

SPOOL cleanup.log

SET ECHO ON
SET FEEDBACK ON
SET NULL '<Null>'
SET PAGESIZE 999
SET PAUSE OFF
SET TERM ON
SET TIME OFF
SET TIMING OFF
SET VERIFY OFF


-- Drop user-defined types.
DROP TYPE telephone_object_set;
DROP TYPE telephone_object_table;
DROP TYPE telephone_object;

SPOOL OFF
