 /*
 * dbms_datapump_export.sql
 * Chapter 12, Expert PL/SQL Programming
 * by Ron Hardman and Michael McLaughlin
 *
 * This script demonstrates how to use the DBMS_DATAPUMP package
 *  to export a table.
 */

CLEAR BREAKS
CLEAR COLUMNS
CLEAR COMPUTES

TTITLE OFF


SET ECHO OFF
SET FEEDBACK ON
SET NULL '<Null>'
SET PAGESIZE 999
SET PAUSE OFF
SET TERM ON
SET TIME OFF
SET TIMING OFF
SET VERIFY OFF
SET SERVEROUTPUT ON

SPOOL dbms_datapump_export.log

SET SERVEROUTPUT ON

ACCEPT job1 PROMPT 'Enter a unique name for this job: '

BEGIN
   export_tables('&job1', 'plsql_table_export.dmp');
END;
/

SPOOL OFF